Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.display
Class MeterGauge

    java.lang.Object
      kieker.analysis.display.AbstractDisplay
          kieker.analysis.display.MeterGauge

    public class MeterGauge

extends AbstractDisplay

This class is currently under development, mostly for test purposes, and not designed for productive deployment.

Since:
  1.8
Author:
  Nils Christian Ehmke

Constructor Summary
`MeterGauge()` Creates a new instance of this class.

Method Summary
`List<String>` | `getIntervalColors(String key)`
`List<Number>` | `getIntervals(String key)`
`Set<String>` | `getKeys()`
`Number` | `getValue(String key)`
`void` | `setIntervals(String key, List<Number> intervals, List<String> colors)` Sets the intervals for the colors of the meter gauge with the given name.
`void` | `setValue(String key, Number value)` Sets the value for the given meter gauge "series".

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeterGauge

    public MeterGauge()

  Creates a new instance of this class.

Method Detail

### setIntervals

    public void setIntervals(String key,
                             List<Number> intervals,
                             List<String> colors)

  Sets the intervals for the colors of the meter gauge with the given name.

  Parameters:
    `key` - The name of the meter gauge "series".
    `intervals` - The intervals for the colors.
    `colors` - The colors of the intervals. It is assumed that the size of this list is the same as the one for the intervals. The colors are given as html string (e.g., FF000).

### setValue

    public void setValue(String key,
                         Number value)

  Sets the value for the given meter gauge "series".

  Parameters:
    `key` - The name of the meter gauge "series".
    `value` - The new value for the meter gauge.

### getKeys

    public Set<String> getKeys()

### getIntervals

    public List<Number> getIntervals(String key)

### getIntervalColors

    public List<String> getIntervalColors(String key)

### getValue

    public Number getValue(String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net